POST
/affiliate_creator/202511/photos/photo_files
Use this API to upload the photos before photo posting. It returns the photo_file_uri for each uploaded image
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typemultipart/form-data
object
data
required
The local image file to upload.
Requirements:
- Supported formats: JPG, JPEG, PNG, WEBP, HEIC, BMP
- Zero-byte files are rejected.
- Maximum file size: 10 MiB (10,485,760 bytes).
- Aspect ratio: 9:16 to 16:9
string format: binary
Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
photo_file
Photo Info
object
photo_uri
In [Post Shoppable Photos], use this photo URI to fill photo_file_uris field
string
Example
{ "code": 0, "data": { "photo_file": { "photo_uri": "skldjfskdlfjlskdfs000023423s" } }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}